Method: customers.enrollmentTokens.create

Creates a new enrollment token for a browser device. Creation fails if there is already an active token for this customer under the same org unit.

HTTP request

POST https://chromemanagement.googleapis.com/v1/{parent=customers/*}/enrollmentTokens

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this enrollment token will be created. Format: customers/{customer}

Query parameters

Parameters
enrollmentTokenId

string

Optional. The ID to use for the enrollment token, which will become the final component of the enrollment token's resource name. This value must be local-unique under the customer and is optional. If not provided, it will be auto-generated. If provided, it must be 1-63 characters long and match the regular expression [a-zA-Z0-9._-]+.

Request body

The request body contains an instance of EnrollmentToken.

Response body

If successful, the response body contains a newly created instance of EnrollmentToken.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chrome.management.enrollmenttokens